Subject: Trainer Candidate - Priyanka Saha
From: Priyanka Saha <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 28 Oct 2021 10:56:22 -0400

Tech Support
Test

Name

Priyanka
Saha

E-mail

[email-masked]

Phone Number

(+91) 9999410947

Do you have your own
transportation (2 or 4 wheeler) or are you able to commute to office without
using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15
Metro Station

I can commute only using Metro

Where
do you currently live (area)

Saket, New Delhi

Please give us details of your last 3 employments including current.
If you've not worked in 3 companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Concentrix

Assistant manager

19th July 2021

44000

Previous Employer 1

Snapdeal

Senior
executive

12th May 2016

37500

Previous Employer 2

Titan Company Ltd

CRO

15th Feb
2015

24000

If Selected, how much time do you need
to join?

Within one week

Please briefly
describe your work experience specifically in training?

Monitoring daily activities of team, which includes shrinkage,
SLA, AHT, transaction and communicating expectations to them, tracking attrition
and performance of team.

In depth knowledge of operations processes and supporting tools.

Identifying performance related issues, developing action plan for improvement,
implementing corrective actions.

Providing updates to Ops Manager regularly with respect to performance of the
team and if any challenge faced by them, highlighting the same and resolving
it.

Monitoring customer interactions and providing timely feedback to advisors.
Handling escalation for the team, conducting quality audits on daily basis,
sharing feedbacks to agents.

Conducting refresher training for the tenured employees and executing successful
training program for newly hired employees.  Studying team’s data to analyze
and drawing trends. Drawing up action plans for advisors, requiring coaching or
development.

Participating in weekly and monthly calls with client to understand their
expectation and calibrating the same with quality and training team to ensure
everyone is on same page.

Preparing reports, incentive sheet. Identifying process gaps and collaborates
with the client to formulate solution.

Have you worked as a trainer in a Call
Center/Customer Service/BPO Environment?

Yes

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

An advisor was associated with our organization,
however was taking numerous leaves ( In 6 months, he only worked for 45 days),
always shown medical reports to HR. However, I was aware about his intentions
that he was least bothered about job, hence raised warning letter twice and
involved HR to take final decision. He was terminated due to his
insubordination.

What according to you is the difference
between good and great customer service. (Explain in 4 - 6 sentences)

Good is meeting customer's expectation.

Great is delivering delightful experience to customer.

What according to
you makes you a good candidate for this position?

I
believe, If we take care of employees, employees will take care of our
organization.

I am focussed and dedicated towards work.

On a scale of 1 - 5 please rate your fluency in
spoken English

5